Passport Extraction
Overview
This API extracts information from passport images provided as input. It returns a JSON response containing information extracted from the passport image, including the name, date of birth, address, passport number, and other relevant information.
Endpoints | Environment |
|---|---|
https://api-preproduction.signzy.app/api/v3/passport/extractions | Preproduction |
https://api.signzy.app/api/v3/passport/extractions | Production |
curl --location 'https://api.signzy.app/api/v3/passport/extractions' \
--header 'Content-Type: application/json' \
--header 'Authorization: <AuthKey>' \
--data '{
"files": [
"https://files-staging.signzy.tech/api/files/2058624/download/19eff490daf14cfea89dc3000cd8294c2331c2721cae448e811fbf929c21582f.jpg"
]
}'Headers
Header Name | Required | Description |
|---|---|---|
Content-Type | Yes | The content type of the request body. In this case, it is JSON. |
Authorization | Yes | API authorization key. |
Input Parameters
Parameter | Type | Description |
|---|---|---|
files | array | An array of URLs of the images to be processed |
Output Parameters
Key | Description | Data Type |
|---|---|---|
files | The URL of the file(s) associated with the document | List of strings |
id | The unique identifier for the document | Integer |
result | The extracted data from the document | Dictionary |
name | The name of the person on the document | String |
country | The country or countries associated with the document | List of strings |
nationality | The nationality of the person on the document | String |
address | The address of the person on the document | String |
pincode | The postal code of the person on the document | String |
passportNumber | The passport number associated with the document | String |
fileNumber | The file number associated with the document | String |
placeOfBirth | The place of birth of the person on the document | String |
placeOfIssue | The place where the document was issued | String |
splitAddress | The address of the person on the document, split into components | Dictionary with keys: district, state, city, pincode, country, and addressLine |
summary | A summary of the extracted data from the document | Dictionary with keys: number, name, dob, address, splitAddress, gender, guardianName, issueDate, and expiryDate |
parentsGuardianName | The name of the parent or guardian associated with the document | String |
issueDate | The date the document was issued | String |
dob | The date of birth of the person on the document | String |
gender | The gender of the person on the document | String |
expiryDate | The date the document expires | String |
Sample Response:
{
"files": [
"https://files-staging.signzy.tech/api/files/2058624/download/19eff490daf14cfea89dc3000cd8294c2331c2721cae448e811fbf929c21582f.jpg"
],
"id": 7118,
"result": {
"parentsGuardianName": "",
"issueDate": "",
"name": "VAR",
"country": [
"IN",
"IND",
"India"
],
"nationality": "",
"address": "",
"pincode": "",
"passportNumber": "XXXXXXXXXXXXXXXXXXXX",
"fileNumber": "",
"placeOfBirth": "Transport Department Government of Delhi",
"placeOfIssue": "DELHI",
"splitAddress": {
"district": [],
"state": [
[]
],
"city": [],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
},
"summary": {
"number": "",
"name": "VAR",
"dob": "",
"address": "",
"splitAddress": {
"district": [],
"state": [
[]
],
"city": [],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
},
"gender": "",
"guardianName": "",
"issueDate": "",
"expiryDate": ""
}
}
}
Response Times
95% ile | 99 % ile | 90 % ile |
|---|---|---|
| | |
Status Codes
Status Code | Description |
|---|---|
200 | OK |
400 | Bad Request |
409 | Upstream Down |
422 | Unprocessable Entity |